%hold on;

%Calcul des dates sparatrices des diverses orbites

t(1)=0;
t(2)=279;           %Nombre de jours sur C1 Terre-Vnus


%dans le champ gravifique du Soleil

mus=13.27E10;

%Demi grand axe et excentricit des 4 trajectoires

a(1)=124.76E6;

e(1)=0.199334;

%Inclinaisons des orbites sur l'ecliptique

incl=4.509;

incl=pi/180*incl;

%Calcul des priodes en jours solaires sur les trajectoires C1  C4

for i=1:1,

periode(i)=2*pi*a(i).^1.5./sqrt(mus)/86400;

end

%Anomalies excentriques en radian des points de dpart sur chaque orbite

xdepart(1)=170.07*pi/180;


%argument nodaux du prige des orbites

pw(1)=188.116*pi/180;


%longitudes vernales de la ligne des noeuds de chaque orbite

gw(1)=19.639*pi/180;


%Initialisation des matrices lignes des coordonnes de Galileo

coord1=[];coord2=[];

for j=1:1,

% Calcul des paramtres de Fsolve qui calculera l'anomalie excentrique
  
   par(1)=e(j);
   par(2)=periode(j);   
   par(4)=xdepart(j);
  

   n=t(j+1);ad=a(j);exc=e(j);

%Matrice de passage de la base Heliocentrique  la base prifocale

xgw=gw(j);xpw=pw(j);incli=incl(j);

R1=[cos(xgw) -sin(xgw) 0 ;sin(xgw) cos(xgw) 0;0 0 1];
R2=[1 0 0;0 cos(incli) -sin(incli);0 sin(incli) cos(incli)];
R3=[cos(xpw) -sin(xpw) 0 ;sin(xpw) cos(xpw) 0;0 0 1];
  
matpass=R1*R2*R3;

          % Calcul des points sur chaque orbite 1 point par jour

          for i=0:n,
    
             par(3)=i;
             
          % Rsolution du calcul de l'anomalie excentrique

             x= fsolve('anomalie',0,zeros(16,1),par);

          % Calcul des coordonnes de Galilo dans la base prifocale

             coordx(1)=ad*(cos(x)-exc);
             coordx(2)=ad*sqrt(1-(exc)^2)*sin(x);
             coordx(3)=0;

          % Passage dans la base hliocentrique

             xgal=matpass*coordx';           

          % Calcul des 2 matrices des coordonnes (Matrices lignes) 
  
             coord1=[coord1 xgal(1)];
             coord2=[coord2 xgal(2)];

             
end

end

% Sauvetage des calculs dans le fichier position

save positC1.mat coord1 coord2;